Skip to content
Browse files

fix stacklevel too deep error

- caused by missing require application_controller
  • Loading branch information...
1 parent 4a7fc3f commit b3b7b303570cc1f8de577ca7a1d527af7ac80793 @jkraemer jkraemer committed Aug 12, 2012
Showing with 7 additions and 7 deletions.
  1. +5 −4 init.rb
  2. +2 −3 lib/application_patch.rb
View
9 init.rb
@@ -11,8 +11,9 @@
author_url 'https://github.com/martin-denizet'
description 'Attach screenshots from clipboard directly to a Redmine issue'
version '0.1.4'
- Dispatcher.to_prepare do
- ApplicationController.send(:include, AttachScreenshotPlugin::ApplicationControllerPatch)
- AccountController.send(:include, AttachScreenshotPlugin::CleanupTmp)
- end
+end
+
+Dispatcher.to_prepare do
+ ApplicationController.send(:include, AttachScreenshotPlugin::ApplicationControllerPatch)
+ AccountController.send(:include, AttachScreenshotPlugin::CleanupTmp)
end
View
5 lib/application_patch.rb
@@ -1,5 +1,4 @@
-require 'account_controller'
-require 'ftools'
+require 'application_controller'
module AttachScreenshotPlugin
module ApplicationControllerPatch
@@ -19,6 +18,6 @@ def find_current_user_with_screenshot
find_current_user_without_screenshot
end
end
- end
+ end
end
end

0 comments on commit b3b7b30

Please sign in to comment.
Something went wrong with that request. Please try again.